Follow-up Comment #1, bug #18147 (project freeciv):

Whether you get that warning could well depend on whether you have
IPV6_SUPPORT defined; if you don't, then 'hp' is clearly initialised, but if
you do, an insufficiently clever compiler might think that it's not. (I think
it is, but it requires some inferences a compiler mightn't make.)

Whether you get the warning might also depend on your compiler version.

I think the same issue applies to current S2_3 and trunk code. It would be
trivial to shut the compiler up by initialising 'hp' to NULL (at the expense
of losing potentially useful warnings). The patch for bug #16623 reworks this
area, so may make this moot.

    _______________________________________________________

Reply to this item at:

  <http://gna.org/bugs/?18147>

_______________________________________________
  Message sent via/by Gna!
  http://gna.org/


_______________________________________________
Freeciv-dev mailing list
Freeciv-dev@gna.org
https://mail.gna.org/listinfo/freeciv-dev

Reply via email to